package ac.ed.lurg.types;

public enum Parameter {

	TRADE_BARRIER_MULTIPLIER("TRADE_BARRIER_MULTIPLIER"),
	TRANSPORT_LOSSES("TRANSPORT_LOSSES"),
	TRANSPORT_COST("TRANSPORT_COST"),
	TECHNOLOGY_CHANGE_ANNUAL_RATE("TECHNOLOGY_CHANGE_ANNUAL_RATE"),
	IRRIG_COST_MULTIPLIER("IRRIG_COST_MULTIPLIER"), 
	FERTILISER_COST_PER_T("FERTILISER_COST_PER_T"),
	OTHER_INTENSITY_COST("OTHER_INTENSITY_COST"),
	RUMINANT_CHANGE_ANNUAL_RATE("RUMINANT_CHANGE_ANNUAL_RATE"),
	MONOGASTRIC_CHANGE_ANNUAL_RATE("MONOGASTRIC_CHANGE_ANNUAL_RATE"),
	MEAT_EFFICIENCY("MEAT_EFFICIENCY"),
	IRRIG_EFF_MULTIPLIER("IRRIG_EFF_MULTIPLIER"), //not implemented yet as need to double check something with PA 
	FINANCIAL_SPECULATION_MULTIPLIER("FINANCIAL_SPECULATION_MULTIPLIER"); 

	private String csvName;
	
	
	Parameter (String csvName) {
		this.csvName = csvName;
	}
	
	public String getCsvName() {
		return csvName;
	}
	
}
